html, body {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;

    --fug_rgb: 173,144,184;
    --sui_rgb: 147,201,196;
    --rai_rgb: 230,207,149;
    --hii_rgb: 242,155,155;
    --doj_rgb: 172,199,154;
}

.stop-scrolling { overflow: hidden !important; border-right: 1px var(--neutral_1) solid; }
/* ------ SCROLLBARS -------- */
::-webkit-scrollbar { width: 0px; }
body::-webkit-scrollbar { width: 1px; }
body::-webkit-scrollbar-track{ background: var(--neutral_1)!important; }
body::-webkit-scrollbar-thumb { background: var(--co2); }

.navigation {
    width: calc(100% - 96px);
    margin: auto;
    display: flex;
    gap: 24px;
    align-items: center;
    justify-content: center;
}

.navigation a, .navigation a:link{
    text-decoration: none;
    color: var(--tx_contrast);
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 24px;
}
.navigation a:not(:last-child):after {
    height: 16px;
    width: 1px;
    content: " ";
    display: block;
    background: var(--tx_contrast);
    opacity: 0.5;
}
.navigation a span{
    display: flex;
    gap: 8px;
    align-items: center;
}
.navigation a ion-icon{ font-size: 16px; color: var(--co2); }

.credits {
    font-size: 9px;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: var(--tx_contrast);
    font-weight: 500;
    text-align: center;
    padding: 16px;
    opacity: 0.2;
}

.navigation.nav_ancres_bg {
    position: absolute;
    width: auto;
    bottom: 32px;
    right: 32px;
    z-index: 3;
    gap: 16px;
}
.navigation.nav_ancres_bg a,
.navigation.nav_ancres_bg a:link{
    gap: 16px;
}

#top{height: 0px;}

nav {
    width: 100%;
    position: fixed;
    top: 0px;
    padding: 8px 16px;
    background: var(--neutral_1);
    z-index: 999;
}
nav a {
    text-decoration: none;
    font-family: var(--special-font);
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    color: var(--tx_contrast);
    font-feature-settings: 'ss02' on;
}

h1 {
    margin: 64px auto;
    font-family: var(--special-font);
    text-transform: unset;
    font-size: 48px;
    line-height: 64px;
    text-transform: uppercase;
    font-weight: normal;
    text-align: center;
    color: var(--tx_contrast);
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
h1:after {
    display: block;
    content: " ";
    height: 1px;
    width: 44px;
    background: linear-gradient(to left, var(--co1) 0%, var(--co2) 100%);
}
p.intro {
    padding: 16px;
    width: 80%;
    max-width: 700px;
    margin: auto;
    color: var(--tx_contrast);
    line-height: 20px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 10px;
    text-align: center;
}
p.intro strong {
    font-weight: 600;
}

form#quiz-form {
    max-width: none !important;
    width: calc(100% - 96px) !important;
}

.panel-group {
    display: flex;
    flex-direction: column;
    gap: 48px;
    margin: 48px auto;
    padding: 0px 48px;
}

.panel {
    padding: 24px;
    width: 100%;
    margin: auto;
    background: var(--transp_1);
    border-radius: 16px;
    position: relative;
    z-index: 3;
}
.panel.buttons {
    padding: 0;
    background-color: transparent !important;
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 32px;
    box-shadow: none !important;
}

.panel.buttons button.main {
    font-family: var(--main-font);
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 8px 16px;
    gap: 8px;
    height: 40px;
    border-radius: 4px;
    color: white;
    border: 0;
    text-transform: uppercase;
    font-weight: 500 !important;
    font-size: 12px;
    line-height: 24px;
    letter-spacing: 1px;
    opacity: 1;
    transition: all 0.3s ease;
    background-image: linear-gradient(to right, var(--co2) 0%, var(--co1) 150%, var(--co2) 100%);
    background-size: 200% 100%;
    background-position: top left;
    cursor: pointer;
}
.panel.buttons button.main:hover{ background-position: top right; }

.panel.buttons button.secondary {
    background: transparent;
    border: 0;
    color: var(--tx_contrast);
    font-family: var(--main-font);
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    border-bottom: 1px solid;
    padding: 0px 0px 6px 0px;
    line-height: 20px;
    width: fit-content;
    margin: 0 auto 16px auto;
    opacity: 1;
    transition: all 0.3s ease;
    cursor: pointer;
}
.panel.buttons button.secondary:hover{ color: var(--co2); }
.panel.buttons button:active{ opacity: 0.5; }

.panel-header{
    position: relative;
    display: flex;
    gap: 24px;
    margin-bottom: 48px;
}
.panel-header object{
    position: absolute;
    top: 0px;
    right: 0px;
    mix-blend-mode: normal;
    background-blend-mode: normal;
    opacity: 0.3;
    transition: var(--transi);
}
body.light .panel-header object { mix-blend-mode: difference; background-blend-mode: difference; }

.panel-header h3 {
    font-family: var(--special-font);
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    line-height: 48px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    text-transform: uppercase;
    color: var(--tx_contrast);
    margin: 0;
    border: 0 !important;
}
.panel-header h3:after {
    display: block;
    content: " ";
    height: 1px;
    width: 44px;
    background: linear-gradient(to left, var(--co1) 0%, var(--co2) 100%);
}
.panel-header p {
    font-family: var(--secondary-font);
    font-style: italic;
    letter-spacing: 0.5px;
    font-size: 16px;
    line-height: 32px;
    color: var(--tx_content);

    width: 100%;
    text-align: right;
    padding-right: 96px;
}

.skill-list {
    display: grid;
    grid-gap: 1px;
    border-radius: 16px;
    overflow: hidden;
}

.skill {
    background: var(--transp_1);
    display: grid;
    padding: 16px;
    grid-gap: 16px;
    grid-template-columns: 280px auto;
}

.skill-header {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.skill-header h4 {
    font-family: var(--special-font);
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 32px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    text-transform: uppercase;
    color: var(--tx_contrast);
    margin: 0;
}
.skill-header h4:after {
    display: block;
    content: " ";
    height: 1px;
    width: 44px;
    background: linear-gradient(to left, var(--co1) 0%, var(--co2) 100%);
}
.skill-desc {
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 21px;
    color: var(--tx_content);
}
.skill-desc a, .skill-desc a:link,
.skill-desc a:visited, .skill-desc a:active {
    color: var(--tx_contrast);
    font-size: 10px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    text-decoration: none;
}

.scale-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 12px 24px;
    gap: 24px;
    background: var(--neutral_1);
    border-radius: 8px;
}
.scale {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: flex-start;
    padding: 0px;
}

label.rate {
    align-items: center;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 8px;
    font-size: 12px;
    line-height: 21px;
    color: var(--tx_contrast);
    margin: 0 !important;
}

.rate input[type="radio"] {
  -webkit-appearance: none;
  appearance: none;
  background-color: transparent;
  margin: 0;
  cursor: pointer;

  color: var(--tx_contrast);
  width: 16px;
  height: 16px;
  border: 1px solid var(--tx_contrast);
  border-radius: 50%;
}
.rate input[type="radio"]::before {
  content: "";
  width: 10px;
  height: 10px;
  display: block;
  position: relative;
  top: 2px;
  left: -1px;
  border-radius: 50%;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--tx_contrast);
}

.rate input[type="radio"]:checked::before {
  transform: scale(1);
}

.legende {
    width: 100%;
}
.legende .text {
    width: 100%;
    display: grid;
    grid-template-columns: calc((9.09% x 2) + 5.43%) auto calc((9.09% x 2) + 5.43%);
    grid-gap: 16px;
}
.legende .text span {
    font-size: 10px;
    display: block;
    padding-top: 8px;
    line-height: 16px;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    font-weight: 500;
    color: var(--tx_contrast);
    position: relative;
}
.legende .text span:nth-child(1) { 
    color: var(--hii);
}
.legende .text span:nth-child(1):before {
    background: linear-gradient(90deg, var(--hii) 0%, var(--neutral_2) 100%);
    display: block;
    position: absolute;
    top: 0px;
    left: 0px;
    content: " ";
    width: 100%;
    height: 1px;
}
.legende .text span:nth-child(2) { 
    text-align: center;
    border-top: 1px solid var(--neutral_2);
}
.legende .text span:nth-child(3) { 
    color: var(--doj);
    text-align: right;
}
.legende .text span:nth-child(3):before {
    background: linear-gradient(-90deg, var(--doj) 0%, var(--neutral_2) 100%);
    display: block;
    content: " ";
    position: absolute;
    top: 0px;
    right: 0px;
    width: 100%;
    height: 1px;
}

div#mbti-type {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 16px;
}
#mbti-type label.btn {
    display: block;
    background: transparent;
    position: relative;
    cursor: pointer;
    width: 100%;
    margin: 0 !important;
}
#mbti-type label.btn input[type="radio"] {
    position: absolute;
    clip: rect(0,0,0,0);
    pointer-events: none;
    margin: 0;
}
#mbti-type label.btn > span {
    transition: all 0.3s ease;
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    gap: 8px;
    padding: 16px;
    color: var(--tx_contrast);
    position: relative;
    border-radius: 16px;
}
#mbti-type label.btn > span:before {
    opacity: 1;
    display: block;
    width: 100%;
    height: 100%;
    content: " ";
    border-radius: 16px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    transition: all 0.3s ease;
}
#mbti-type label.btn.green > span:before {
    background: linear-gradient(180deg, rgba(172, 199, 154, 0) 0%, rgba(129, 183, 94, 0.2) 100%), var(--neutral_2);
}
#mbti-type label.btn.blue > span:before {
    background: linear-gradient(180deg, rgba(68, 176, 255, 0) 0%, rgba(68, 176, 255, 0.2) 100%), var(--neutral_2);
}
#mbti-type label.btn.yellow > span:before {
    background: linear-gradient(180deg, rgba(239, 223, 166, 0) 0%, rgba(221, 180, 34, 0.2) 100%), var(--neutral_2);
}
#mbti-type label.btn.violet > span:before {
    background: linear-gradient(180deg, rgba(189, 154, 233, 0) 0%, rgba(189, 154, 233, 0.2) 100%), var(--neutral_2);
}

#mbti-type label.btn > span:after {
    transition: all 0.3s ease;
    opacity: 0;
    z-index: 2;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 16px;
    padding: 1px;
    background: linear-gradient(130deg, var(--co1), var(--co2), var(--co3));
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: xor;
}
#mbti-type label.btn input[type="radio"]:checked+span {
    background-color: var(--neutral_1);
}
#mbti-type label.btn input[type="radio"]:checked+span:after,
#mbti-type label.btn:hover > span:after{
    opacity: 1;
}
#mbti-type label.btn input[type="radio"]:checked+span:before {
    opacity: 0;
}

#mbti-type label.btn > span > strong {
    font-weight: normal;
    font-family: var(--special-font);
    font-size: 24px;
    line-height: 32px;
    z-index: 3;
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    margin-bottom: 8px;
}
#mbti-type label.btn > span > strong:after {
    display: block;
    content: " ";
    height: 1px;
    width: 44px;
    z-index: 3;
    background: linear-gradient(to left, var(--co1) 0%, var(--co2) 100%);
}
#mbti-type label.btn > span > span {
    font-size: 10px;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 0.5px;
    line-height: 16px;
    z-index: 3;
}

div#result-container {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 1;
    background: var(--transp_1);
    backdrop-filter: blur(6px);
    display: flex;
    align-items: center;
    justify-content: center;
    transform: scale(0%);
    transform-origin: center;
    opacity: 0;
    transition: all 0.3s ease;
    z-index: 1;
}
div#result-container.show-results {
    animation: show 1s ease forwards;
    z-index: 10;
}
@keyframes show{
    0%{ transform: scale(0%); opacity: 0;}
    50%{ transform: scale(100%); opacity: 0;}
    100%{ transform: scale(100%); opacity: 1;}
}
div#result-container.Dojin{ --co2: var(--doj); }
div#result-container.Fugi{ --co2: var(--fug); }
div#result-container.Hiisa{ --co2: var(--hii); }
div#result-container.Raiyo{ --co2: var(--rai); }
div#result-container.Suisei{ --co2: var(--sui); }

div#result-box {
    width: calc(100% - 96px);
    max-width: 1048px;
    font-size: 14px;
    line-height: 1.5;
    padding: 24px;
    z-index: 1;
    background: var(--neutral_1);
    border: 1px solid var(--neutral_2);
    border-radius: 16px;
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

div#result-box a.close{
    text-align: right;
    font-size: 24px;
    z-index: 3;
    position: relative;
    color: var(--tx_contrast);
}
div#result-box button {
    background: transparent;
    border: 0;
    color: var(--tx_contrast);
    font-family: var(--main-font);
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    border-bottom: 1px solid;
    padding: 0px 0px 6px 0px;
    line-height: 20px;
    width: fit-content;
    margin: 0 auto 16px auto;
    opacity: 1;
    transition: all 0.3s ease;
    cursor: pointer;
}
div#result-box button:hover{ color: var(--co2); }
div#result-box button:active{ opacity: 0.5; }

div#result {
    display: flex;
    flex-direction: column;
    gap: 8px;
    position: relative;
    top: -16px;
    z-index: 2;
}

div#result div.intro {
    font-size: 16px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin: 16px 16px 32px 16px;
    position: relative;
}
div.intro:before{
    z-index: 1 !important;
    content: "";
    position: absolute;
    top: 7px;
    left: 0;
    right: 0;
    bottom: 0;
    height: 88px;
    border-radius: 16px;
    padding: 1px;
    background: linear-gradient(170deg, var(--co2), var(--co1) 30%, var(--co3) 70%, var(--co2));
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: xor;
}

div.intro > span {
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    text-align: center;
    display: block;
    line-height: 16px;
    width: fit-content;
    margin: auto;
    padding: 0px 8px;
    color: var(--tx_contrast);
    background: var(--neutral_1);
    position: relative;
    z-index: 3 !important;
}
div.intro > strong {
    font-family: var(--special-font);
    color: var(--co2);
    font-size: 40px;
    line-height: 40px;
    z-index: 3;
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    margin-bottom: 8px;
}

div#result div.description {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    background: var(--neutral_2);
    border-radius: 16px;
    margin: 0px 16px;
    position: relative;
    overflow: hidden;
}
div#result div.description:after {
    z-index: 0;
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    text-align: center;
    font-size: 256px;
    line-height: 100%;
    opacity: 0.3;
    bottom: 0px;
    left: 0px;
}
.Dojin div#result div.description:after{
    content: "土仁";
    color: rgba(var(--doj_rgb),0.2);
}
.Fugi div#result div.description:after{
    content: "風義";
    color: rgba(var(--fug_rgb),0.2);
}
.Hiisa div#result div.description:after{
    content: "火勇";
    color: rgba(var(--hii_rgb),0.2);
}
.Raiyo div#result div.description:after{
    content: "雷誉";
    color: rgba(var(--rai_rgb),0.2);
}
.Suisei div#result div.description:after{
    content: "水誠";
    color: rgba(var(--sui_rgb),0.2);
}

div.description > strong {
    font-size: 10px;
    line-height: 16px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    text-align: center;
    color: var(--tx_contrast);
    margin-top: 8px;
}
div.description > p {
    color: var(--tx_content);
    margin: 0;
    font-size: 13px;
    line-height: 24px;
}

div.exemples-container{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 24px;
    margin: 16px;
}
div.exemples-container > div.exemple {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
div.exemple > img {
    width: 64px;
    height: 64px;
    object-fit: cover;
    border-radius: 50%;
}
div.exemple > div{
    display: flex;
    flex-direction: column;
    gap: 8px;
}
div.exemple > div > strong {
    font-family: var(--special-font);
    color: var(--co2);
    font-size: 16px;
    line-height: 20px;
}
div.exemple > div > p {
    margin: 0px;
    text-transform: uppercase;
    font-size: 10px;
    letter-spacing: 0.5px;
    font-weight: 500;
    color: var(--tx_contrast);
}

div.score {
    display: flex;
    gap: 1px;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    width: fit-content;
    overflow: hidden !important;
    margin: 0 auto 16px auto;
    position: relative;
}
div.score:before{
    content: "Scores";
    display: block;
    color: var(--neutral_1);
    writing-mode: vertical-rl;
    text-orientation: mixed;
    transform: rotate(180deg);
    text-transform: uppercase;
    font-size: 9px;
    line-height: 16px;
    letter-spacing: 1px;
    font-weight: 600;
    background: var(--tx_contrast);
    height: 57.5px;
    text-align: center;
}

div.score > .score-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
    background: var(--neutral_2);
    padding: 8px 4px;
    width: 52px;
}
div.score > .score-item.score-Dojin{ --co2: var(--doj) !important; }
div.score > .score-item.score-Fugi{ --co2: var(--fug) !important; }
div.score > .score-item.score-Hiisa{ --co2: var(--hii) !important; }
div.score > .score-item.score-Raiyo{ --co2: var(--rai) !important; }
div.score > .score-item.score-Suisei{ --co2: var(--sui) !important; }

div.score > .score-item > strong {
    font-family: var(--special-font);
    color: var(--co2);
    font-size: 16px;
}
div.score > .score-item > span {
    text-transform: uppercase;
    font-size: 9px;
    letter-spacing: 0.5px;
    font-weight: 500;
    color: var(--tx_contrast);
}
